package com.fuint.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fuint.common.dto.PointDto;
import com.fuint.framework.exception.BusinessCheckException;
import com.fuint.framework.pagination.PaginationRequest;
import com.fuint.framework.pagination.PaginationResponse;
import com.fuint.repository.model.MtGrow;
import com.fuint.repository.model.MtPoint;

/**
 * 积分业务接口
 *
 * Created by FSQ
 * CopyRight https://www.fuint.cn
 */
public interface GrowService extends IService<MtGrow> {

    MtGrow querySignInfo(Integer userId);

    boolean doSign(Integer id) throws BusinessCheckException;

    boolean doAdv(Integer id) throws BusinessCheckException;

    void clearAdvNum() throws BusinessCheckException;
}
